KPACKAGETOOL5(1)

NAME
kpackagetool5 - Installieren, Auflisten und Entfernen von Plasma-Paketen

ÜBERSICHT

kpackagetool5 [-v, --version] [-h, --help] [--hash path] [-g, --global] [-t, --type type] [-i, --install path] [-s, --show name] [-u, --upgrade path] [-l, --list] [--list-types] [-r, --remove name] [-p, --packageroot path] [--generate-index]

BESCHREIBUNG

kpackagetool5 ist ein Befehlszeilenprogramm zum Installieren, Auflisten und Entfernen von Plasma-Paketen.

OPTIONEN

-v, --version
    Zeigt Informationen über die Version an.

-h, --help
    Zeigt diese Hilfe an.

--hash path
    SHA1-Hash für das Paket in „path“ generieren.

-g, --global
    Zum Installieren oder Entfernen, beeinflusst Plasma-Pakete für alle Benutzer.

-t, --type type
    Der Typ des Pakets, entspricht dem Servicetyp des Paket-Moduls, z. B. KPackage/Generic, Plasma/Theme, Plasma/Wallpaper, Plasma/Applet, usw.

-i, --install path
    Paket von „path“ installieren.

-s, --show name
    Informationen zum Paket „name“ anzeigen.

-u, --upgrade path
    Paket von „path“ aktualisieren.

-l, --list
    Installierte Pakete anzeigen.

--list-types
    Zeigt alle Arten von Paketen an, die installiert werden können.

-r, --remove name
    Paket namens „name“ entfernen.

-p, --packageroot path
    Absoluter Pfad zum Paket. Falls nicht angegeben, werden die Standard-Datenpfade dieser Plasma-Sitzung durchsucht.

--generate-index path
    Erstellt den Index der Module neu. Kann zusammen mit den Optionen -t oder -g verwendet werden. Erstellt den Index für den angegebenen Typ oder Basisordner des Pakets. Wird im Benutzerordner ausgeführt, wenn nicht die Option -g benutzt wird.

SIEHE AUCH

Weitere ausführliche Dokumentation finden Sie unter help:/plasma-desktop (geben Sie diese URL entweder im Konqueror ein oder starten Sie khelpcenter help:/plasma-desktop).

AUTOREN

kpackagetool5 wurde von Aaron Seigo <aseigo@kde.org> geschrieben.